Model Class Referenceabstract

`#include <models.h>`

Inheritance diagram for Model:
Collaboration diagram for Model:

## Public Member Functions

| Model ()
| Model (const Model &)
| Model (Data)
virtual | ~Model ()
virtual void | setModelData (Data)
virtual void | setExpData (Data)
virtual void | setCost (CostFunction *)
virtual Data | getSol () const =0
virtual void | setParam (std::vector< double >)
virtual std::vector< double > | getParam () const =0
virtual std::vector< double > | getNeighbor (double) const =0
virtual double | getCost ()=0
virtual void | exportModel () const =0
virtual void | displayModel () const =0

## Protected Attributes

Data | m_data
Data | exp_data
CostFunction * | m_cost

## Constructor & Destructor Documentation

## Model() [1/3]

Model::Model | ( |  | ) |

## Model() [2/3]

Model::Model | ( | const Model & | other | ) |

## Model() [3/3]

Model::Model | ( | Data | T | ) |

## ~Model()

virtual Model::~Model | ( |  | ) |

inlinevirtual

## Member Function Documentation

## displayModel()

virtual void Model::displayModel | ( |  | ) | const

pure virtual

Implemented in TSP, PolynomialApprox, and LinearApprox.

## exportModel()

virtual void Model::exportModel | ( |  | ) | const

pure virtual

Implemented in TSP, PolynomialApprox, and LinearApprox.

## getCost()

virtual double Model::getCost | ( |  | ) |

pure virtual

Implemented in TSP, PolynomialApprox, and LinearApprox.

## getNeighbor()

virtual std::vector<double> Model::getNeighbor | ( | double |  | ) | const

pure virtual

Implemented in TSP, PolynomialApprox, and LinearApprox.

## getParam()

virtual std::vector<double> Model::getParam | ( |  | ) | const

pure virtual

Implemented in TSP, PolynomialApprox, and LinearApprox.

## getSol()

virtual Data Model::getSol | ( |  | ) | const

pure virtual

Implemented in TSP, PolynomialApprox, and LinearApprox.

## setCost()

void Model::setCost | ( | CostFunction * | f | ) |

virtual

Reimplemented in TSP, PolynomialApprox, and LinearApprox.

## setExpData()

void Model::setExpData | ( | Data | T2 | ) |

virtual

Reimplemented in TSP, PolynomialApprox, and LinearApprox.

## setModelData()

void Model::setModelData | ( | Data | T1 | ) |

virtual

Reimplemented in TSP, PolynomialApprox, and LinearApprox.

## setParam()

virtual void Model::setParam | ( | std::vector< double > |  | ) |

inlinevirtual

Reimplemented in TSP, PolynomialApprox, and LinearApprox.

## Field Documentation

## exp_data

Data Model::exp_data

protected

## m_cost

CostFunction* Model::m_cost

protected

## m_data

Data Model::m_data

protected

The documentation for this class was generated from the following files:

- models.h
- models.cpp